| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Syntax.Concrete.Operators.Parser

Contents

Parser combinators

Synopsis

data ExprView e

= LocalV Name
| OtherV e
| AppV e (NamedArg e)
| OpAppV Name [e]
| HiddenArgV (Named String e)
| ParenV e

class HasRange e => IsExpr e where

exprView :: e -> ExprView e
unExprView :: ExprView e -> e

recursive :: (ReadP tok a -> [ReadP tok a -> ReadP tok a]) -> ReadP tok a
partP :: IsExpr e => String -> ReadP e (Range, NamePart)
binop :: IsExpr e => ReadP e e -> ReadP e (e -> e -> e)
preop :: IsExpr e => ReadP e e -> ReadP e (e -> e)
postop :: IsExpr e => ReadP e e -> ReadP e (e -> e)
opP :: IsExpr e => ReadP e e -> Name -> ReadP e e
prefixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
postfixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
infixrP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
infixlP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
infixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
nonfixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
appP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e
atomP :: IsExpr e => (Name -> Bool) -> ReadP e e

Documentation

data ExprView e | Source

Constructors

LocalV Name |
OtherV e |
AppV e (NamedArg e) |
OpAppV Name [e] |
HiddenArgV (Named String e) |
ParenV e |

Instances

Show e => Show (ExprView e)

class HasRange e => IsExpr e where | Source

Methods

exprView :: e -> ExprView e | Source

unExprView :: ExprView e -> e | Source

Instances

IsExpr Pattern
IsExpr Expr

Parser combinators

recursive :: (ReadP tok a -> [ReadP tok a -> ReadP tok a]) -> ReadP tok a | Source

Combining a hierarchy of parsers.

partP :: IsExpr e => String -> ReadP e (Range, NamePart) | Source

binop :: IsExpr e => ReadP e e -> ReadP e (e -> e -> e) | Source

preop :: IsExpr e => ReadP e e -> ReadP e (e -> e) | Source

postop :: IsExpr e => ReadP e e -> ReadP e (e -> e) | Source

opP :: IsExpr e => ReadP e e -> Name -> ReadP e e | Source

prefixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

postfixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

infixrP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

infixlP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

infixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

nonfixP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

appP :: IsExpr e => ReadP e e -> ReadP e e -> ReadP e e | Source

atomP :: IsExpr e => (Name -> Bool) -> ReadP e e | Source

Produced by Haddock version 2.4.2